# CHTML

<!-- BADGES/ -->

<span class="badge-npmversion"><a href="https://npmjs.org/package/@web-native-js/chtml" title="View this project on NPM"><img src="https://img.shields.io/npm/v/@web-native-js/chtml.svg" alt="NPM version" /></a></span>
<span class="badge-npmdownloads"><a href="https://npmjs.org/package/@web-native-js/chtml" title="View this project on NPM"><img src="https://img.shields.io/npm/dm/@web-native-js/chtml.svg" alt="NPM downloads" /></a></span>
<span class="badge-patreon"><a href="https://patreon.com/ox_harris" title="Donate to this project using Patreon"><img src="https://img.shields.io/badge/patreon-donate-yellow.svg" alt="Patreon donate button" /></a></span>

<!-- /BADGES -->


CHTML is a suite of new DOM features that brings language support for modern UI development paradigms: a component-based architecture, data binding, and reactivity. This lets us build elegant user interfaces using the web platform itself.

[Check this project out on GitHub](https://github.com/web-native/chtml).

## Documentation

+ [Scoped HTML](https://docs.web-native.dev/chtml/scoped-html) - Structure your document as a hierarchy of *scopes* and *subscopes*.
+ [Scoped CSS](https://docs.web-native.dev/chtml/scoped-css) - Put stylesheets where you need them using Scoped CSS.
+ [Scoped JS](https://docs.web-native.dev/chtml/scoped-js) - Create behaviours on the fly with scoped scripts.
+ [HTML Partials](https://docs.web-native.dev/chtml/html-partials) - Define, extend, import/export reusable HTML snippets.

If you'd be interested in the motivation for this project, [here](https://github.com/web-native/chtml/blob/master/explainer.md)'s the explainer.

## Getting Started

+ [Installation](https://docs.web-native.dev/chtml/installation) - Follow the installation guide to add CHTML to your page.
+ [Examples](https://docs.web-native.dev/chtml/examples) - Get a head start with these few examples.

## Issues

To report bugs or request features, please submit an [issue](https://github.com/web-native/chtml/issues).

## License

MIT.
